<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eicd: eicd/MCParticleConst.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eicd
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_e4e37cb967a0a8dac9982f75962b5bf7.html">eicd</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">MCParticleConst.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="_m_c_particle_const_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// AUTOMATICALLY GENERATED FILE - DO NOT EDIT</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;</div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#ifndef EICD_ConstMCParticle_H</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#define EICD_ConstMCParticle_H</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;</div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_m_c_particle_obj_8h.html">eicd/MCParticleObj.h</a>&quot;</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;</div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_m_c_particle_8h.html">eicd/MCParticle.h</a>&quot;</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="preprocessor">#include &lt;array&gt;</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#include &lt;vector&gt;</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#include &quot;podio/ObjectID.h&quot;</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;</div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;</div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;</div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceeic.html">eic</a> {</div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;</div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="keyword">class </span>MCParticle;</div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="keyword">class </span>MCParticleCollection;</div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="keyword">class </span>MCParticleCollectionIterator;</div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;</div><div class="line"><a name="l00026"></a><span class="lineno"><a class="line" href="classeic_1_1_const_m_c_particle.html">   26</a></span>&#160;<span class="keyword">class </span><a class="code" href="classeic_1_1_const_m_c_particle.html">ConstMCParticle</a> {</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;  <span class="keyword">friend</span> <a class="code" href="classeic_1_1_m_c_particle.html">MCParticle</a>;</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;  <span class="keyword">friend</span> <a class="code" href="classeic_1_1_m_c_particle_collection.html">MCParticleCollection</a>;</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;  <span class="keyword">friend</span> <a class="code" href="classeic_1_1_m_c_particle_collection_iterator.html">MCParticleCollectionIterator</a>;</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;  <a class="code" href="classeic_1_1_const_m_c_particle.html#aeb4f7494b96702842b0dae5d53db65d8">ConstMCParticle</a>();</div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;  <a class="code" href="classeic_1_1_const_m_c_particle.html#aeb4f7494b96702842b0dae5d53db65d8">ConstMCParticle</a>(<span class="keywordtype">long</span> <span class="keywordtype">long</span> <a class="code" href="classeic_1_1_const_m_c_particle.html#a4feb82aabff484e7885c41fd4aae95fb">pdg</a>, <span class="keywordtype">long</span> <span class="keywordtype">long</span> <a class="code" href="classeic_1_1_const_m_c_particle.html#a4628fb384b88d8b3774151c71351a794">genstatus</a>, std::array&lt;double, 3&gt; <a class="code" href="classeic_1_1_const_m_c_particle.html#a73cc7419c5ea3547973964144351c844">vertex</a>, <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_const_m_c_particle.html#aa299cbcdaa5c92e75d2a5ce2b65e9725">charge</a>, <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_const_m_c_particle.html#a1d7f3b212099a69437621d8c2faef2d0">mass</a>, <span class="keywordtype">float</span> <a class="code" href="classeic_1_1_const_m_c_particle.html#a2583cac62bbc60d542d060622cc95129">time</a>, std::array&lt;double, 3&gt; <a class="code" href="classeic_1_1_const_m_c_particle.html#ac547ab39858dcd2785f1ac84bfbbd6a6">endpoint</a>, <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_const_m_c_particle.html#ad332400dde97d2d29ae52eeb873743ef">endpointSet</a>, std::array&lt;double, 3&gt; <a class="code" href="classeic_1_1_const_m_c_particle.html#a3420511ce781246535a1ac6535d2ac46">momentum</a>);</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;  <a class="code" href="classeic_1_1_const_m_c_particle.html#aeb4f7494b96702842b0dae5d53db65d8">ConstMCParticle</a>(<a class="code" href="classeic_1_1_m_c_particle_obj.html">MCParticleObj</a>* obj);</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;  <a class="code" href="classeic_1_1_const_m_c_particle.html#aeb4f7494b96702842b0dae5d53db65d8">ConstMCParticle</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_const_m_c_particle.html">ConstMCParticle</a>&amp; other);</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;  <a class="code" href="classeic_1_1_const_m_c_particle.html">ConstMCParticle</a>&amp; <a class="code" href="classeic_1_1_const_m_c_particle.html#ae31e8110c6c3d7c4093073e5542fcf8b">operator=</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_const_m_c_particle.html">ConstMCParticle</a>&amp; other);</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;  <a class="code" href="classeic_1_1_const_m_c_particle.html">ConstMCParticle</a> <a class="code" href="classeic_1_1_const_m_c_particle.html#a1692fc2fda5ec2a38ba1f5df1a4b6b9f">clone</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;  <a class="code" href="classeic_1_1_const_m_c_particle.html#a031379b24cc1ee0faa0e12cc4c0fdd4c">~ConstMCParticle</a>();</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;<span class="keyword">public</span>:</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">long</span> <span class="keywordtype">long</span>&amp; <a class="code" href="classeic_1_1_const_m_c_particle.html#a4feb82aabff484e7885c41fd4aae95fb">pdg</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;</div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">long</span> <span class="keywordtype">long</span>&amp; <a class="code" href="classeic_1_1_const_m_c_particle.html#a4628fb384b88d8b3774151c71351a794">genstatus</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;  <span class="keyword">const</span> std::array&lt;double, 3&gt;&amp; <a class="code" href="classeic_1_1_const_m_c_particle.html#a73cc7419c5ea3547973964144351c844">vertex</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">double</span>&amp; <a class="code" href="classeic_1_1_const_m_c_particle.html#a73cc7419c5ea3547973964144351c844">vertex</a>(<span class="keywordtype">size_t</span> i) <span class="keyword">const</span>;</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_const_m_c_particle.html#aa299cbcdaa5c92e75d2a5ce2b65e9725">charge</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_const_m_c_particle.html#a1d7f3b212099a69437621d8c2faef2d0">mass</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;</div><div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">float</span>&amp; <a class="code" href="classeic_1_1_const_m_c_particle.html#a2583cac62bbc60d542d060622cc95129">time</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;  <span class="keyword">const</span> std::array&lt;double, 3&gt;&amp; <a class="code" href="classeic_1_1_const_m_c_particle.html#ac547ab39858dcd2785f1ac84bfbbd6a6">endpoint</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">double</span>&amp; <a class="code" href="classeic_1_1_const_m_c_particle.html#ac547ab39858dcd2785f1ac84bfbbd6a6">endpoint</a>(<span class="keywordtype">size_t</span> i) <span class="keyword">const</span>;</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">bool</span>&amp; <a class="code" href="classeic_1_1_const_m_c_particle.html#ad332400dde97d2d29ae52eeb873743ef">endpointSet</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;  <span class="keyword">const</span> std::array&lt;double, 3&gt;&amp; <a class="code" href="classeic_1_1_const_m_c_particle.html#a3420511ce781246535a1ac6535d2ac46">momentum</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;  <span class="keyword">const</span> <span class="keywordtype">double</span>&amp; <a class="code" href="classeic_1_1_const_m_c_particle.html#a3420511ce781246535a1ac6535d2ac46">momentum</a>(<span class="keywordtype">size_t</span> i) <span class="keyword">const</span>;</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;  <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_const_m_c_particle.html#ae4bc53b0380ca490499bce38831df724">parents_size</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;  <a class="code" href="classeic_1_1_const_m_c_particle.html">::eic::ConstMCParticle</a> <a class="code" href="classeic_1_1_const_m_c_particle.html#a3cad5f17b8058c611a3d4b707f9ddfdd">parents</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>) <span class="keyword">const</span>;</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;  std::vector&lt;::eic::ConstMCParticle&gt;::const_iterator <a class="code" href="classeic_1_1_const_m_c_particle.html#a6406c977425be1337a20be48332e7f60">parents_begin</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;  std::vector&lt;::eic::ConstMCParticle&gt;::const_iterator <a class="code" href="classeic_1_1_const_m_c_particle.html#a292d4e96a48c391a5881c8e76c74e470">parents_end</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;  podio::RelationRange&lt;::eic::ConstMCParticle&gt; <a class="code" href="classeic_1_1_const_m_c_particle.html#a3cad5f17b8058c611a3d4b707f9ddfdd">parents</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;  <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_const_m_c_particle.html#a724312bd83542265d495da576d140aba">daughters_size</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;  <a class="code" href="classeic_1_1_const_m_c_particle.html">::eic::ConstMCParticle</a> <a class="code" href="classeic_1_1_const_m_c_particle.html#a86cbbfbb8bcde8217448994f9f5fe536">daughters</a>(<span class="keywordtype">unsigned</span> <span class="keywordtype">int</span>) <span class="keyword">const</span>;</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;  std::vector&lt;::eic::ConstMCParticle&gt;::const_iterator <a class="code" href="classeic_1_1_const_m_c_particle.html#ad8f61e2f7184f1fd5974d6efe9b7d672">daughters_begin</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;  std::vector&lt;::eic::ConstMCParticle&gt;::const_iterator <a class="code" href="classeic_1_1_const_m_c_particle.html#af58d5f1331eb74418f38d29d4e728ce2">daughters_end</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;  podio::RelationRange&lt;::eic::ConstMCParticle&gt; <a class="code" href="classeic_1_1_const_m_c_particle.html#a86cbbfbb8bcde8217448994f9f5fe536">daughters</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_const_m_c_particle.html#aeb67784fbe8d13024cca2793e225600b">isAvailable</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00102"></a><span class="lineno"><a class="line" href="classeic_1_1_const_m_c_particle.html#afbd98438e2d580b8e07174f98640e722">  102</a></span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classeic_1_1_const_m_c_particle.html#afbd98438e2d580b8e07174f98640e722">unlink</a>() { m_obj = <span class="keyword">nullptr</span>; }</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;</div><div class="line"><a name="l00104"></a><span class="lineno"><a class="line" href="classeic_1_1_const_m_c_particle.html#af18654e81e19a7723fcb63ce120d0ae5">  104</a></span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_const_m_c_particle.html#af18654e81e19a7723fcb63ce120d0ae5">operator==</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_const_m_c_particle.html">ConstMCParticle</a>&amp; other)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj == other.m_obj; }</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_const_m_c_particle.html#af18654e81e19a7723fcb63ce120d0ae5">operator==</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_m_c_particle.html">MCParticle</a>&amp; other) <span class="keyword">const</span>;</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;  <span class="comment">// less comparison operator, so that objects can be e.g. stored in sets.</span></div><div class="line"><a name="l00108"></a><span class="lineno"><a class="line" href="classeic_1_1_const_m_c_particle.html#a34ca925ffb862a6b74c052ce16fb6002">  108</a></span>&#160;  <span class="keywordtype">bool</span> <a class="code" href="classeic_1_1_const_m_c_particle.html#a34ca925ffb862a6b74c052ce16fb6002">operator&lt;</a>(<span class="keyword">const</span> <a class="code" href="classeic_1_1_const_m_c_particle.html">ConstMCParticle</a>&amp; other)<span class="keyword"> const </span>{ <span class="keywordflow">return</span> m_obj &lt; other.m_obj; }</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;</div><div class="line"><a name="l00110"></a><span class="lineno"><a class="line" href="classeic_1_1_const_m_c_particle.html#a3c90550e4ec200155866d89bfbe77112">  110</a></span>&#160;  <span class="keywordtype">unsigned</span> <span class="keywordtype">int</span> <a class="code" href="classeic_1_1_const_m_c_particle.html#a3c90550e4ec200155866d89bfbe77112">id</a>()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <a class="code" href="classeic_1_1_const_m_c_particle.html#ad5fe44b7d0335a7c9a038819d13de46c">getObjectID</a>().collectionID * 10000000 + <a class="code" href="classeic_1_1_const_m_c_particle.html#ad5fe44b7d0335a7c9a038819d13de46c">getObjectID</a>().index; }</div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;  <span class="keyword">const</span> podio::ObjectID <a class="code" href="classeic_1_1_const_m_c_particle.html#ad5fe44b7d0335a7c9a038819d13de46c">getObjectID</a>() <span class="keyword">const</span>;</div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;<span class="keyword">private</span>:</div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;  <a class="code" href="classeic_1_1_m_c_particle_obj.html">MCParticleObj</a>* m_obj;</div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;};</div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;</div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;} <span class="comment">// namespace eic</span></div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;</div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;</div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;<span class="preprocessor">#endif</span></div><div class="ttc" id="classeic_1_1_m_c_particle_html"><div class="ttname"><a href="classeic_1_1_m_c_particle.html">eic::MCParticle</a></div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_8h_source.html#l00028">MCParticle.h:28</a></div></div>
<div class="ttc" id="classeic_1_1_const_m_c_particle_html_a86cbbfbb8bcde8217448994f9f5fe536"><div class="ttname"><a href="classeic_1_1_const_m_c_particle.html#a86cbbfbb8bcde8217448994f9f5fe536">eic::ConstMCParticle::daughters</a></div><div class="ttdeci">podio::RelationRange&lt;::eic::ConstMCParticle &gt; daughters() const</div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_const_8cc_source.html#l00124">MCParticleConst.cc:124</a></div></div>
<div class="ttc" id="classeic_1_1_const_m_c_particle_html_af18654e81e19a7723fcb63ce120d0ae5"><div class="ttname"><a href="classeic_1_1_const_m_c_particle.html#af18654e81e19a7723fcb63ce120d0ae5">eic::ConstMCParticle::operator==</a></div><div class="ttdeci">bool operator==(const ConstMCParticle &amp;other) const</div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_const_8h_source.html#l00104">MCParticleConst.h:104</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_obj_html"><div class="ttname"><a href="classeic_1_1_m_c_particle_obj.html">eic::MCParticleObj</a></div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_obj_8h_source.html#l00020">MCParticleObj.h:20</a></div></div>
<div class="ttc" id="classeic_1_1_const_m_c_particle_html"><div class="ttname"><a href="classeic_1_1_const_m_c_particle.html">eic::ConstMCParticle</a></div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_const_8h_source.html#l00026">MCParticleConst.h:26</a></div></div>
<div class="ttc" id="classeic_1_1_const_m_c_particle_html_a3cad5f17b8058c611a3d4b707f9ddfdd"><div class="ttname"><a href="classeic_1_1_const_m_c_particle.html#a3cad5f17b8058c611a3d4b707f9ddfdd">eic::ConstMCParticle::parents</a></div><div class="ttdeci">podio::RelationRange&lt;::eic::ConstMCParticle &gt; parents() const</div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_const_8cc_source.html#l00092">MCParticleConst.cc:92</a></div></div>
<div class="ttc" id="classeic_1_1_const_m_c_particle_html_a2583cac62bbc60d542d060622cc95129"><div class="ttname"><a href="classeic_1_1_const_m_c_particle.html#a2583cac62bbc60d542d060622cc95129">eic::ConstMCParticle::time</a></div><div class="ttdeci">const float &amp; time() const</div><div class="ttdoc">Access the The creation time of the particle in [ns] wrt. the event, e.g. for preassigned decays or d...</div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_const_8cc_source.html#l00060">MCParticleConst.cc:60</a></div></div>
<div class="ttc" id="classeic_1_1_const_m_c_particle_html_a724312bd83542265d495da576d140aba"><div class="ttname"><a href="classeic_1_1_const_m_c_particle.html#a724312bd83542265d495da576d140aba">eic::ConstMCParticle::daughters_size</a></div><div class="ttdeci">unsigned int daughters_size() const</div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_const_8cc_source.html#l00113">MCParticleConst.cc:113</a></div></div>
<div class="ttc" id="classeic_1_1_const_m_c_particle_html_ad5fe44b7d0335a7c9a038819d13de46c"><div class="ttname"><a href="classeic_1_1_const_m_c_particle.html#ad5fe44b7d0335a7c9a038819d13de46c">eic::ConstMCParticle::getObjectID</a></div><div class="ttdeci">const podio::ObjectID getObjectID() const</div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_const_8cc_source.html#l00143">MCParticleConst.cc:143</a></div></div>
<div class="ttc" id="classeic_1_1_const_m_c_particle_html_ae4bc53b0380ca490499bce38831df724"><div class="ttname"><a href="classeic_1_1_const_m_c_particle.html#ae4bc53b0380ca490499bce38831df724">eic::ConstMCParticle::parents_size</a></div><div class="ttdeci">unsigned int parents_size() const</div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_const_8cc_source.html#l00081">MCParticleConst.cc:81</a></div></div>
<div class="ttc" id="classeic_1_1_const_m_c_particle_html_ae31e8110c6c3d7c4093073e5542fcf8b"><div class="ttname"><a href="classeic_1_1_const_m_c_particle.html#ae31e8110c6c3d7c4093073e5542fcf8b">eic::ConstMCParticle::operator=</a></div><div class="ttdeci">ConstMCParticle &amp; operator=(const ConstMCParticle &amp;other)</div><div class="ttdoc">copy-assignment operator </div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_const_8cc_source.html#l00037">MCParticleConst.cc:37</a></div></div>
<div class="ttc" id="_m_c_particle_obj_8h_html"><div class="ttname"><a href="_m_c_particle_obj_8h.html">MCParticleObj.h</a></div></div>
<div class="ttc" id="classeic_1_1_const_m_c_particle_html_a031379b24cc1ee0faa0e12cc4c0fdd4c"><div class="ttname"><a href="classeic_1_1_const_m_c_particle.html#a031379b24cc1ee0faa0e12cc4c0fdd4c">eic::ConstMCParticle::~ConstMCParticle</a></div><div class="ttdeci">~ConstMCParticle()</div><div class="ttdoc">destructor </div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_const_8cc_source.html#l00051">MCParticleConst.cc:51</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_collection_iterator_html"><div class="ttname"><a href="classeic_1_1_m_c_particle_collection_iterator.html">eic::MCParticleCollectionIterator</a></div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_collection_8h_source.html#l00029">MCParticleCollection.h:29</a></div></div>
<div class="ttc" id="classeic_1_1_const_m_c_particle_html_a292d4e96a48c391a5881c8e76c74e470"><div class="ttname"><a href="classeic_1_1_const_m_c_particle.html#a292d4e96a48c391a5881c8e76c74e470">eic::ConstMCParticle::parents_end</a></div><div class="ttdeci">std::vector&lt;::eic::ConstMCParticle &gt;::const_iterator parents_end() const</div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_const_8cc_source.html#l00075">MCParticleConst.cc:75</a></div></div>
<div class="ttc" id="classeic_1_1_const_m_c_particle_html_afbd98438e2d580b8e07174f98640e722"><div class="ttname"><a href="classeic_1_1_const_m_c_particle.html#afbd98438e2d580b8e07174f98640e722">eic::ConstMCParticle::unlink</a></div><div class="ttdeci">void unlink()</div><div class="ttdoc">disconnect from MCParticleObj instance </div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_const_8h_source.html#l00102">MCParticleConst.h:102</a></div></div>
<div class="ttc" id="classeic_1_1_const_m_c_particle_html_af58d5f1331eb74418f38d29d4e728ce2"><div class="ttname"><a href="classeic_1_1_const_m_c_particle.html#af58d5f1331eb74418f38d29d4e728ce2">eic::ConstMCParticle::daughters_end</a></div><div class="ttdeci">std::vector&lt;::eic::ConstMCParticle &gt;::const_iterator daughters_end() const</div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_const_8cc_source.html#l00107">MCParticleConst.cc:107</a></div></div>
<div class="ttc" id="classeic_1_1_const_m_c_particle_html_ad332400dde97d2d29ae52eeb873743ef"><div class="ttname"><a href="classeic_1_1_const_m_c_particle.html#ad332400dde97d2d29ae52eeb873743ef">eic::ConstMCParticle::endpointSet</a></div><div class="ttdeci">const bool &amp; endpointSet() const</div><div class="ttdoc">Access the Whether the endpoint has been set. </div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_const_8cc_source.html#l00063">MCParticleConst.cc:63</a></div></div>
<div class="ttc" id="classeic_1_1_m_c_particle_collection_html"><div class="ttname"><a href="classeic_1_1_m_c_particle_collection.html">eic::MCParticleCollection</a></div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_collection_8h_source.html#l00050">MCParticleCollection.h:50</a></div></div>
<div class="ttc" id="classeic_1_1_const_m_c_particle_html_ac547ab39858dcd2785f1ac84bfbbd6a6"><div class="ttname"><a href="classeic_1_1_const_m_c_particle.html#ac547ab39858dcd2785f1ac84bfbbd6a6">eic::ConstMCParticle::endpoint</a></div><div class="ttdeci">const std::array&lt; double, 3 &gt; &amp; endpoint() const</div><div class="ttdoc">Access the The endpoint of the particle in [mm]. </div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_const_8cc_source.html#l00061">MCParticleConst.cc:61</a></div></div>
<div class="ttc" id="classeic_1_1_const_m_c_particle_html_aeb4f7494b96702842b0dae5d53db65d8"><div class="ttname"><a href="classeic_1_1_const_m_c_particle.html#aeb4f7494b96702842b0dae5d53db65d8">eic::ConstMCParticle::ConstMCParticle</a></div><div class="ttdeci">ConstMCParticle()</div><div class="ttdoc">default constructor </div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_const_8cc_source.html#l00016">MCParticleConst.cc:16</a></div></div>
<div class="ttc" id="_m_c_particle_8h_html"><div class="ttname"><a href="_m_c_particle_8h.html">MCParticle.h</a></div></div>
<div class="ttc" id="namespaceeic_html"><div class="ttname"><a href="namespaceeic.html">eic</a></div><div class="ttdef"><b>Definition:</b> <a href="_calorimeter_hit_8cc_source.html#l00014">CalorimeterHit.cc:14</a></div></div>
<div class="ttc" id="classeic_1_1_const_m_c_particle_html_a3c90550e4ec200155866d89bfbe77112"><div class="ttname"><a href="classeic_1_1_const_m_c_particle.html#a3c90550e4ec200155866d89bfbe77112">eic::ConstMCParticle::id</a></div><div class="ttdeci">unsigned int id() const</div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_const_8h_source.html#l00110">MCParticleConst.h:110</a></div></div>
<div class="ttc" id="classeic_1_1_const_m_c_particle_html_ad8f61e2f7184f1fd5974d6efe9b7d672"><div class="ttname"><a href="classeic_1_1_const_m_c_particle.html#ad8f61e2f7184f1fd5974d6efe9b7d672">eic::ConstMCParticle::daughters_begin</a></div><div class="ttdeci">std::vector&lt;::eic::ConstMCParticle &gt;::const_iterator daughters_begin() const</div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_const_8cc_source.html#l00101">MCParticleConst.cc:101</a></div></div>
<div class="ttc" id="classeic_1_1_const_m_c_particle_html_a4feb82aabff484e7885c41fd4aae95fb"><div class="ttname"><a href="classeic_1_1_const_m_c_particle.html#a4feb82aabff484e7885c41fd4aae95fb">eic::ConstMCParticle::pdg</a></div><div class="ttdeci">const long long &amp; pdg() const</div><div class="ttdoc">Access the The PDG code of the particle. </div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_const_8cc_source.html#l00054">MCParticleConst.cc:54</a></div></div>
<div class="ttc" id="classeic_1_1_const_m_c_particle_html_a1692fc2fda5ec2a38ba1f5df1a4b6b9f"><div class="ttname"><a href="classeic_1_1_const_m_c_particle.html#a1692fc2fda5ec2a38ba1f5df1a4b6b9f">eic::ConstMCParticle::clone</a></div><div class="ttdeci">ConstMCParticle clone() const</div><div class="ttdoc">support cloning (deep-copy) </div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_const_8cc_source.html#l00047">MCParticleConst.cc:47</a></div></div>
<div class="ttc" id="classeic_1_1_const_m_c_particle_html_a73cc7419c5ea3547973964144351c844"><div class="ttname"><a href="classeic_1_1_const_m_c_particle.html#a73cc7419c5ea3547973964144351c844">eic::ConstMCParticle::vertex</a></div><div class="ttdeci">const std::array&lt; double, 3 &gt; &amp; vertex() const</div><div class="ttdoc">Access the The production vertex of the particle in [mm]. </div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_const_8cc_source.html#l00056">MCParticleConst.cc:56</a></div></div>
<div class="ttc" id="classeic_1_1_const_m_c_particle_html_a1d7f3b212099a69437621d8c2faef2d0"><div class="ttname"><a href="classeic_1_1_const_m_c_particle.html#a1d7f3b212099a69437621d8c2faef2d0">eic::ConstMCParticle::mass</a></div><div class="ttdeci">const float &amp; mass() const</div><div class="ttdoc">Access the The mass of the particle in [GeV]. </div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_const_8cc_source.html#l00059">MCParticleConst.cc:59</a></div></div>
<div class="ttc" id="classeic_1_1_const_m_c_particle_html_a6406c977425be1337a20be48332e7f60"><div class="ttname"><a href="classeic_1_1_const_m_c_particle.html#a6406c977425be1337a20be48332e7f60">eic::ConstMCParticle::parents_begin</a></div><div class="ttdeci">std::vector&lt;::eic::ConstMCParticle &gt;::const_iterator parents_begin() const</div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_const_8cc_source.html#l00069">MCParticleConst.cc:69</a></div></div>
<div class="ttc" id="classeic_1_1_const_m_c_particle_html_a3420511ce781246535a1ac6535d2ac46"><div class="ttname"><a href="classeic_1_1_const_m_c_particle.html#a3420511ce781246535a1ac6535d2ac46">eic::ConstMCParticle::momentum</a></div><div class="ttdeci">const std::array&lt; double, 3 &gt; &amp; momentum() const</div><div class="ttdoc">Access the The particle&amp;#39;s 3-momentum at the production vertex in [GeV]. </div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_const_8cc_source.html#l00064">MCParticleConst.cc:64</a></div></div>
<div class="ttc" id="classeic_1_1_const_m_c_particle_html_a34ca925ffb862a6b74c052ce16fb6002"><div class="ttname"><a href="classeic_1_1_const_m_c_particle.html#a34ca925ffb862a6b74c052ce16fb6002">eic::ConstMCParticle::operator&lt;</a></div><div class="ttdeci">bool operator&lt;(const ConstMCParticle &amp;other) const</div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_const_8h_source.html#l00108">MCParticleConst.h:108</a></div></div>
<div class="ttc" id="classeic_1_1_const_m_c_particle_html_aa299cbcdaa5c92e75d2a5ce2b65e9725"><div class="ttname"><a href="classeic_1_1_const_m_c_particle.html#aa299cbcdaa5c92e75d2a5ce2b65e9725">eic::ConstMCParticle::charge</a></div><div class="ttdeci">const float &amp; charge() const</div><div class="ttdoc">Access the The particle&amp;#39;s charge. </div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_const_8cc_source.html#l00058">MCParticleConst.cc:58</a></div></div>
<div class="ttc" id="classeic_1_1_const_m_c_particle_html_aeb67784fbe8d13024cca2793e225600b"><div class="ttname"><a href="classeic_1_1_const_m_c_particle.html#aeb67784fbe8d13024cca2793e225600b">eic::ConstMCParticle::isAvailable</a></div><div class="ttdeci">bool isAvailable() const</div><div class="ttdoc">check whether the object is actually available </div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_const_8cc_source.html#l00136">MCParticleConst.cc:136</a></div></div>
<div class="ttc" id="classeic_1_1_const_m_c_particle_html_a4628fb384b88d8b3774151c71351a794"><div class="ttname"><a href="classeic_1_1_const_m_c_particle.html#a4628fb384b88d8b3774151c71351a794">eic::ConstMCParticle::genstatus</a></div><div class="ttdeci">const long long &amp; genstatus() const</div><div class="ttdoc">Access the The status for particles as defined by the generator. </div><div class="ttdef"><b>Definition:</b> <a href="_m_c_particle_const_8cc_source.html#l00055">MCParticleConst.cc:55</a></div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
